# mlreflect

Fast fitting of reflectivity curves using machine learning.

## Installation
The mlreflect package can be installed directly from the command line using the python package manager pip:

`pip install mlreflect`

In case the newest version is not available on PyPI, the package can also be installed locally. Download the package, unzip it and navigate to the folder containing the downloaded mlreflect folder. Then use:

`pip install mlreflect/`

## Usage example
The package can then be imported in python using

`import mlreflect`

or

`from mlreflect import <module>`

An example of how to generate training data, train the model and test it on experimental data is shown in the _data/notebooks/usage_example.ipynb_ Jupyter notebook.

## Authors and contributors
- Alessandro Greco (Institut für Angewandte Physik, University of Tübingen)
- Vladimir Starostin (Institut für Angewandte Physik, University of Tübingen)
- Christos Karapanagiotis (Institut für Physik, Humboldt Universität zu Berlin)
- Alexander Hinderhofer (Institut für Angewandte Physik, University of Tübingen)
- Alexander Gerlach (Institut für Angewandte Physik, University of Tübingen)
- Linus Pithan (ESRF The European Synchrotron)
- Sascha Liehr (Bundesanstalt für Materialforschung und -prüfung (BAM))
- Frank Schreiber (Institut für Angewandte Physik, University of Tübingen)
- Stefan Kowarik (Bundesanstalt für Materialforschung und -prüfung (BAM) and Institut für Physik, Humboldt Universität zu Berlin)
